Skip to main content
GET
Get a protected bank account balance

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string
required
protectionId
string
required

Response

When request is successful. Returns a 'ProtectedAccountBalance' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the protection record.

Example:

"p1"

bankAccount
object | null

The bank account where the protection was applied.

matter
object | null

The associated matter.

contact
object | null

The associated contact (US only).

amount
number<double>

The amount protected in dollars. Limited to 2 decimal places (cents).

Example:

100.5

reason
string | null

Reason for protecting the funds.

Example:

"Court order requiring protection of funds"

effectiveDate
string<date-time>

Date the protection took effect.

Example:

"2024-01-15T00:00:00Z"

timestamp
string<date-time>

Timestamp when the protection was created.

Example:

"2024-01-15T10:30:00Z"

isProtected
boolean

True if the funds are currently protected.

Example:

true

userId
string | null

Unique identifier of the user who protected the funds.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

unprotectingUserId
string | null

Unique identifier of the user who unprotected the funds (if applicable).

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

lastUpdated
string<date-time>

Timestamp when the protection was last updated (e.g. protected or unprotected).

Example:

"2024-01-15T10:30:00Z"